Skip to main content
GET
/
api
/
v1
/
instruments
/
{instrument}
/
funding
Get historical funding rates
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/instruments/{instrument}/funding
import requests

url = "https://api.international.coinbase.com/api/v1/instruments/{instrument}/funding"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.international.coinbase.com/api/v1/instruments/{instrument}/funding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "instrument_id": "14thr7ft-1-0",
  "funding_rate": 0.1543,
  "mark_price": 20000.63,
  "event_time": "2023-03-16T23:59:53.000Z"
}
InstrumentsService instrumentsService = IntxServiceFactory.createInstrumentsService(client);
GetHistoricalFundingRatesRequest request = new GetHistoricalFundingRatesRequest.Builder()
    .instrumentId("BTC-PERP")
    .build();
GetHistoricalFundingRatesResponse response = instrumentsService.getHistoricalFundingRates(request);
For more information, please visit the INTX Java SDK.

Path Parameters

instrument
string
required

Identifies the instrument by name (e.g., BTC-PERP), UUID (e.g., ce55a827-f04a-45c0-9d9b-8bbdb9b48065), or instrument ID (e.g., 7149252043835013)

Query Parameters

result_limit
integer

The number of results to return (defaults to 25 with a max supported value of 100)

Example:

30

result_offset
integer

The number of results from the beginning to skip past

Example:

50

Response

Funding Rates list

instrument_id
string

The unique identifier of the instrument for which the funding rate applies

Example:

"14thr7ft-1-0"

funding_rate
string

The final funding rate based on the state of the rolling calculation at the event_time.

Example:

0.1543

mark_price
string

The current mark price value used in risk and margin calculations

Example:

20000.63

event_time
string<date-time>

The time that the final funding rate was determined. Uses ISO-8601 format (e.g., 2023-03-16T23:59:53Z)

Example:

"2023-03-16T23:59:53.000Z"